@echo off

set __DEST__=%1

if "%__DEST__%"=="" (
  set __DEST__=x64
  if "%PROCESSOR_ARCHITECTURE%" == "x86" (
    if not defined PROCESSOR_ARCHITEW6432 set __DEST__=x86
  )
)

if "%__DEST__%"=="x64" goto compile
if "%__DEST__%"=="x86" goto compile

goto syntax

:compile
echo Compiling Colossal Cave Adventure for Windows %__DEST__%

set __ENV__=-m64
if "%__DEST__%"=="x86" SET __ENV__=-m32

if not exist %__DEST__% md %__DEST__%
cd %__DEST__%

echo   advent.for
if exist advent.bin del advent.bin
if not exist advent.dat copy ..\advent.dat > nul
gfortran -std=legacy -O2 -s -static %__ENV__% -o advent.exe ..\advent.for

echo   wiz.for
gfortran -std=legacy -O2 -s -static %__ENV__% -o wiz.exe ..\wiz.for

cd ..

:_l01
echo done.
goto end

:syntax
echo syntax: make [x86^|x64]

:end
set __DEST__=
set __ENV__=
